#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
const ll mod=1e9+7;
const ll mn=1e6+100;
ll dp[mn][26];
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    ll n;
    cin>>n;
    string s;
    cin>>s;
    for(ll i=0;i<26;i++)
    {
        if(s[0]=='A' && i==0) dp[0][i]=1;
        else dp[0][i]=0;
    }
    for(ll i=1;i<n;i++)
    {
        ll sta=s[i]-'A';
        for(ll j=0;j<26;j++) dp[i][j]=dp[i-1][j];
        if(sta==0) dp[i][sta]=(dp[i][sta]+1)%mod;
        else dp[i][sta]=(dp[i][sta]+dp[i-1][sta-1])%mod;
    }
    cout<<dp[n-1][25]<<endl;
}